Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 559686 (perl-Nmap-Scanner) - Review Request: perl-Nmap-Scanner - Perform and manipulate nmap scans using perl
Summary: Review Request: perl-Nmap-Scanner - Perform and manipulate nmap scans using perl
Keywords:
Status: CLOSED NOTABUG
Alias: perl-Nmap-Scanner
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Class-Generate
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-01-28 18:30 UTC by Pedro Padron
Modified: 2012-06-15 19:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-15 19:59:02 UTC


Attachments (Terms of Use)

Description Pedro Padron 2010-01-28 18:30:18 UTC
Spec URL: http://ppadron.blog.br/rpm/specs/perl-Nmap-Scanner.spec

SRPM URL: http://ppadron.blog.br/rpm/srpms/perl-Nmap-Scanner-1.0-1.src.rpm

Description: This set of modules provides perl class wrappers for the network mapper (nmap) scanning tool (see http://www.insecure.org/nmap/). Using these modules, a developer, network administrator, or other techie can create perl routines or classes which can be used to automate and integrate nmap scans elegantly into new and existing perl scripts.

This is my first package, so I need a sponsor.

This package requires perl-Class-Generator, which is not available in Fedora, so I am submitting it also: Bug #559653

Comment 1 Pedro Padron 2010-02-08 22:16:03 UTC
Changelog for new release:
- Added explicit 'Provides' for the subpackages RPM cannot detect

This change was based on the discussion at Fedora Packaging mailing list:
http://lists.fedoraproject.org/pipermail/packaging/2010-February/006860.html

Spec URL: http://ppadron.blog.br/rpm/specs/perl-Nmap-Scanner.spec
SRPM URL: http://ppadron.blog.br/rpm/srpms/perl-Nmap-Scanner-1.0-2.fc12.src.rpm

Cannot create a Koji scratch build since it depends on a package that hasn't been approved yet (perl-Class-Generate - Bug #559653).

Comment 2 Remi Collet 2010-02-14 11:35:56 UTC
According to CPAN, license is Unknown

According to upstream page :
http://nmap-scanner.sourceforge.net/?page=license

This package is LGPLv2+
But you should ask upstream about this (and to add the LICENSE file to the project, and probably splitting INSTALL and README, if they seems cooperative)

A more explicit %files list, p.e.
%{perl_vendorlib}/Nmap
%{_mandir}/man3/Nmap*

You should add docs/ and examples/ in %doc


Note You need to log in before you can comment on or make changes to this bug.